Name:          amarok
Version:       2.8.0
Release:       4mamba
Epoch:         1
Summary:       A powerful music player for KDE
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://amarok.kde.org
Source:        ftp://ftp.kde.org/pub/kde/stable/amarok/%{version}/src/amarok-%{version}.tar.bz2
Patch0:        amarok-2.8.0-x86_64-include-QSharedPointer.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libGL-devel
BuildRequires: libX11-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavformat-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libcurl-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgpod-devel
BuildRequires: liblastfm-devel
BuildRequires: libloudmouth-devel
BuildRequires: libmtp-devel
BuildRequires: libmygpo-qt-devel
BuildRequires: libmysqlclient-devel
BuildRequires: libnepomuk-core-devel
BuildRequires: libofa-devel
BuildRequires: libphonon-devel
BuildRequires: libplist-devel
BuildRequires: libqjson-devel
BuildRequires: libqt4-devel
BuildRequires: libsoprano-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtag-devel
BuildRequires: libtag-extras-devel
BuildRequires: libxml2-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: coreutils
#BuildRequires: libmpeg4ip-devel
BuildRequires: ldconfig
BuildRequires: doxygen
BuildRequires: pkgconfig
BuildRequires: gettext-devel
BuildRequires: libxml2-utils
BuildRequires: libtag-devel >= 1.9
BuildRequires: gmock-devel
BuildRequires: liblastfm-devel >= 1.0.3
BuildRequires: clamz
BuildRequires: qtscriptgenerator
Requires:      kdelibs4 >= %{_kde4_version}
Requires:      kdebase-runtime >= %{_kde4_version}
Requires:      libqt4 >= %{_qt4_version}
Requires:      libvisual-plugins
Requires:      moodbar
Requires:      ruby
Requires:      qtscriptgenerator
Requires:      clamz
Provides:      amarok4
Obsoletes:     amarok4
Obsoletes:     amarok-engine-xine
Obsoletes:     amarok-i18n-da
Obsoletes:     amarok-i18n-de
Obsoletes:     amarok-i18n-es
Obsoletes:     amarok-i18n-et
Obsoletes:     amarok-i18n-fr
Obsoletes:     amarok-i18n-it
Obsoletes:     amarok-i18n-nl
Obsoletes:     amarok-i18n-pl
Obsoletes:     amarok-i18n-pt
Obsoletes:     amarok-i18n-pt_BR
Obsoletes:     amarok-i18n-ru
Obsoletes:     amarok-i18n-sv
Obsoletes:     libamarok
Obsoletes:     libamarok-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Amarok is a powerful music player for Linux and Unix, MacOS X and Windows with an intuitive interface:
 - fresh playlist concept, very fast to use, with drag and drop
 - plays all formats supported by aRts, including mp3, ogg, audio CDs, streams
 - audio effects, like reverb and compressor
 - compatible with the .m3u and .pls formats for playlists
 - nice GUI, integrates into the KDE look, but with a unique touch

%debug_package

%prep
%setup -q -n amarok-%{version}
%patch0 -p1

%build
# Tests disabled since kde 4.10, see https://bugs.archlinux.org/task/33457
%cmake_kde4 -d build \
   -DKDE4_BUILD_TESTS=OFF

%make

%define __os_install_post %{nil}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

rm -f %{buildroot}%{_kde4_libdir}/libamarok{_taglib,lib,plasma,pud}.so

%find_lang amarok
%find_lang amarokpkg
%find_lang amarokcollectionscanner_qt
cat amarokpkg.lang amarokcollectionscanner_qt.lang \
   >> amarok.lang

# remove unpackaged files
rm -f %{buildroot}%{_kde4_libdir}/libamarok{-sqlcollection,ocsclient}.so

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
exit 0

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
   update-desktop-database -q &>/dev/null
   touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null
fi
exit 0

%posttrans
update-desktop-database -q &>/dev/null
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null
exit 0

%files -f amarok.lang
%defattr(-,root,root)
%{_kde4_bindir}/*
%{_kde4_libdir}/kde4/amarok_*.so
%{_kde4_libdir}/kde4/kcm_amarok_service_*.so
%{_kde4_libdir}/libamarokcore.so
%{_kde4_libdir}/libamarokcore.so.*
%{_kde4_libdir}/libamaroklib.so.*
%{_kde4_libdir}/libamarokocsclient.so.*
%{_kde4_libdir}/libamarok-sqlcollection.so.*
%{_kde4_libdir}/libamarok-transcoding.so
%{_kde4_libdir}/libamarok-transcoding.so.*
%{_kde4_libdir}/libamarokpud.so.*
%{_kde4_libdir}/libamarokshared.so
%{_kde4_libdir}/libamarokshared.so.*
%{_kde4_libdir}/libamarok_service_lastfm_shared.so
%{_kde4_libdir}/libampache_account_login.so
%{_kde4_datadir}/amarok
%{_kde4_datadir}/desktoptheme/default/widgets/amarok-*.svg
%{_kde4_datadir}/solid/actions/amarok-play-audiocd.desktop
%{_kde4_datadir}/kconf_update/amarok-2.4.1-tokens_syntax_update.pl
%{_kde4_datadir}/kconf_update/amarok.upd
%{_kde4_xdgappsdir}/amarok.desktop
%{_kde4_xdgappsdir}/amarok_containers.desktop
%{_kde4_xdgappsdir}/amzdownloader.desktop
%{_kde4_xdgmimedir}/amzdownloader.xml
%{_kde4_kcfgdir}/amarokconfig.kcfg
%{_kde4_configdir}/amarok_homerc
%{_kde4_configdir}/amarokapplets.knsrc
%{_kde4_configdir}/amarok.knsrc
%{_kde4_dbusinterfacesdir}/org.kde.amarok.Collection.xml
%{_kde4_dbusinterfacesdir}/org.freedesktop.MediaPlayer.player.xml
%{_kde4_dbusinterfacesdir}/org.freedesktop.MediaPlayer.root.xml
%{_kde4_dbusinterfacesdir}/org.freedesktop.MediaPlayer.tracklist.xml
%{_kde4_icondir}/hicolor/*/apps/amarok.png
%{_kde4_servicesdir}/ServiceMenus/*.desktop
%{_kde4_servicesdir}/*.desktop
%{_kde4_servicesdir}/*.protocol
%{_kde4_servicetypesdir}/*.desktop
%{_datadir}/dbus-1/interfaces/org.kde.amarok.App.xml
%{_datadir}/dbus-1/interfaces/org.kde.amarok.Mpris?Extensions.Player.xml
%lang(de) %{_kde4_htmldir}/de/*
%lang(en) %{_kde4_htmldir}/en/*
%lang(es) %{_kde4_htmldir}/es/*
%lang(et) %{_kde4_htmldir}/et/*
#%lang(fr) %{_kde4_htmldir}/fr/*
#%lang(it) %{_kde4_htmldir}/it/*
%lang(nl) %{_kde4_htmldir}/nl/*
%lang(pt) %{_kde4_htmldir}/pt/*
%lang(pt_BR) %{_kde4_htmldir}/pt_BR/*
%lang(ru) %{_kde4_htmldir}/ru/*
%lang(sv) %{_kde4_htmldir}/sv/*
%lang(uk) %{_kde4_htmldir}/uk/*
%doc AUTHORS COPYING

%changelog
* Tue Nov 10 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.0-4mamba
- rebuilt with libtag 1.9

* Tue Jun 23 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.0-3mamba
- rebuilt with mariadb to fix database problem since

* Thu May 15 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.0-2mamba
- ffmpeg 2.2 rebuild

* Fri Aug 16 2013 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic version update by autodist

* Thu May 16 2013 Automatic Build System <autodist@mambasoft.it> 2.7.1-1mamba
- automatic version update by autodist

* Sun Feb 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.0-2mamba
- rebuilt with libtag 1.8, liblastfm 1.0.3, gmock and clamz

* Sun Jan 20 2013 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic version update by autodist

* Thu Aug 16 2012 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- update to 2.6.0

* Mon Jan 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.0-2mamba
- rebuilt with libmygpo-qt 1.0.5

* Thu Dec 22 2011 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Thu Nov 10 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-3mamba
- rebuilt with libmtp 1.1.1

* Fri Oct 21 2011 Davide Madrisan <davide.madrisan@gmail.com> 2.4.3-2mamba
- rebuilt

* Mon Aug 01 2011 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic update by autodist

* Thu Jun 02 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.1-2mamba
- added requirement for libmyqpo-qt

* Mon May 09 2011 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic update by autodist

* Fri Apr 08 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0-3mamba
- rebuilt with debug package

* Sun Jan 16 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0-2mamba
- added built requirements libqca-devel, libofa-devel. Removed libphonon-qt4-devel

* Sat Jan 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0-1mamba
- update to 2.4.0

* Wed Dec 15 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.90-1mamba
- update to 2.3.90

* Tue Sep 21 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.2-1mamba
- update to 2.3.2

* Tue Jun 01 2010 Automatic Build System <autodist@mambasoft.it> 2.3.1-1mamba
- automatic update to 2.3.1 by autodist

* Thu Mar 18 2010 Davide Madrisan <davide.madrisan@gmail.com> 2.3.0-1mamba
- update to 2.3.0
- require kdebase-runtime
- run update-desktop-database and gtk-update-icon-cache

* Sat Jan 23 2010 Davide Madrisan <davide.madrisan@gmail.com> 2.2.2-2mamba
- rebuilt against qt-4.6

* Tue Jan 12 2010 Automatic Build System <autodist@mambasoft.it> 2.2.2-1mamba
- automatic update to 2.2.2 by autodist

* Sat Dec 12 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.1-2mamba
- increase release to allow upgrade from devell

* Tue Nov 17 2009 Davide Madrisan <davide.madrisan@gmail.com> 2.2.1-1mamba
- update to 2.2.1

* Sat Oct 03 2009 Davide Madrisan <davide.madrisan@gmail.com> 2.2.0-1mamba
- update to 2.2.0

* Tue Sep 29 2009 Davide Madrisan <davide.madrisan@gmail.com> 2.1.90-1mamba
- update to 2.1.90 (2.2 RC 1 "Sunset Door")

* Thu Sep 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.80-1mamba
- update to 2.1.80

* Thu Sep 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.1-2mamba
- rebuilt with new location of kde4_xdgappsdir

* Tue Jun 30 2009 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic update to 2.1.1 by autodist

* Mon Jun 29 2009 Automatic Build System <autodist@mambasoft.it> 2.1-4mamba
- automatic rebuild by autodist

* Sat Jun 27 2009 Davide Madrisan <davide.madrisan@gmail.com> 2.1-3mamba
- amarok requires qtscriptgenerator

* Mon Jun 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1-2mamba
- rename to amarok and obsolete KDE3 version

* Mon Jun 08 2009 Automatic Build System <autodist@mambasoft.it> 2.1-1mamba
- automatic update to 2.1 by autodist

* Wed Mar 11 2009 Davide Madrisan <davide.madrisan@gmail.com> 2.0.2-1mamba
- update to 2.0.2

* Wed Feb 04 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1.1-3mamba
- automatic rebuild by autodist

* Mon Feb 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1.1-2mamba
- automatic rebuild by autodist

* Mon Jan 12 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1.1-1mamba
- automatic update to 2.0.1.1 by autodist

* Thu Jan 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-1mamba
- update to 2.0.1

* Mon Dec 15 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0-1mamba
- automatic update by autodist

* Thu Dec 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98-1mamba
- update to 1.98

* Fri Aug 29 2008 gil <puntogil@libero.it> 1.4.10-2mamba
- rebuilt with new: libgpod 0.6.0; libxine 1.1.15-2mamba; libjack 0.109.2 .
- without-included-sqlite added options to configure 

* Mon Aug 25 2008 Aleph0 <aleph0@openmamba.org> 1.4.10-1mamba
- update to 1.4.10

* Thu Jul 31 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.9.1-2mamba
- rebuilt against libmtp 0.2.6
- built with iRiver ifp library (libifp)

* Mon Apr 14 2008 Aleph0 <aleph0@openmamba.org> 1.4.9.1-1mamba
- update to 1.4.9.1

* Sun Dec 23 2007 Aleph0 <aleph0@openmamba.org> 1.4.8-1mamba
- update to 1.4.8

* Thu Nov 22 2007 Aleph0 <aleph0@openmamba.org> 1.4.7-3mamba
- rebuilt against new libmtp

* Sun Sep 02 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.7-2mamba
- rebuild against libgpod 0.52

* Tue Aug 14 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.7-1mamba
- update to 1.4.7
- added libkarma requirement

* Mon Jun 18 2007 Aleph0 <aleph0@openmamba.org> 1.4.6-1mamba
- update to 1.4.6

* Fri Feb 09 2007 Aleph0 <aleph0@openmamba.org> 1.4.5-1qilnx
- update to version 1.4.5 by autospec
- rebuilt with the new installation prefix /opt/kde3
- requires moodbar

* Tue Oct 31 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.4-1qilnx
- update to version 1.4.4 by autospec

* Fri Sep 29 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.4.3-2qilnx
- fixed for KDE 3.5.3
- added missing build requirements

* Tue Sep 05 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.3-1qilnx
- update to version 1.4.3 by autospec

* Mon Sep 04 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.2-1qilnx
- update to version 1.4.2 by autospec

* Mon Jul 10 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.1-1qilnx
- update to version 1.4.1 by autospec

* Mon Jun 19 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.0-3qilnx
- amarok needs libvisual-plugins

* Thu Jun 15 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.4.0-2qilnx
- rebuilt with new version of libtunepimp

* Fri May 19 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.0-1qilnx
- update to version 1.4.0
- package epoch incremented
- ruby is needed when building and running amarok 1.4
- new subpackage i18n-pl (Polish translation from amarok)

* Tue Apr 11 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.4-1qilnx
- update to version 1.4beta3 by autospec

* Mon Jan 16 2006 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 1.3.8-1qilnx
- update to version 1.3.8 by autospec

* Wed Dec 07 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 1.3.7-1qilnx
- update to version 1.3.7 by autospec

* Tue Nov 22 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.6-3qilnx
- rebuilt temporary using internal sqlite

* Mon Nov 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.6-2qilnx
- added i18n packages

* Wed Nov 09 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.6-1qilnx
- update to version 1.3.6 by autospec

* Tue Oct 25 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 1.3.5-1qilnx
- update to version 1.3.5 by autospec

* Mon Oct 10 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 1.3.3-1qilnx
- update to version 1.3.3 by autospec

* Thu Sep 22 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.2-2qilnx
- specfile updates

* Wed Sep 21 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.2-1qilnx
- update to version 1.3.2 by autospec

* Tue Sep 06 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.1-1qilnx
- update to version 1.3.1 by autospec

* Tue Aug 23 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3-2qilnx
- buildrequires libmysql-devel

* Thu Aug 18 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3-1qilnx
- update to version 1.3 by autospec

* Thu Jun 09 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.4-1qilnx
- update to version 1.2.4 by autospec

* Mon Apr 04 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.3-1qilnx
- update to version 1.2.3 by autospec

* Mon Feb 21 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2-1qilnx
- update to version 1.2 by autospec

* Wed Oct 20 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.1-1qilnx
- update to version 1.1.1 by autospec
- added BuildRequirements: libvisual-devel, k3b-devel, libxine-devel,
  libjack-devel

* Wed Sep 01 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.2-1qilnx
- update to version 1.0.2 by autospec
- added BuildRequirement 'xmms-devel'

* Tue Mar 09 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.9-1qilnx
- rebuild with amarok-0.9

* Sun Dec 28 2003 Davide Madrisan <davide.madrisan@qilinux.it> 0.7.0-1qilnx
- first build
